<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gssapi_error_api</name>
    <title>Globus GSSAPI Error API</title>
    <filename>group__globus__gssapi__error__api.html</filename>
    <subgroup>globus_gssapi_error_object</subgroup>
    <subgroup>globus_gssapi_error_accessor</subgroup>
    <subgroup>globus_gssapi_error_utility</subgroup>
    <docanchor file="group__globus__gssapi__error__api">globus_gssapi_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gssapi_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__gssapi__error__object.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GSSAPI</name>
      <anchorfile>group__globus__gssapi__error__object.html</anchorfile>
      <anchor>ga1e9a3af43392760b76d20f7b24632d93</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_gssapi_error</name>
      <anchorfile>group__globus__gssapi__error__object.html</anchorfile>
      <anchor>gaad98edca31f0acc94a3c14e5f2b98938</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_gssapi_error</name>
      <anchorfile>group__globus__gssapi__error__object.html</anchorfile>
      <anchor>ga39aba124ff728511483eec488e051827</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gssapi_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__gssapi__error__accessor.html</filename>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_error_gssapi_get_major_status</name>
      <anchorfile>group__globus__gssapi__error__accessor.html</anchorfile>
      <anchor>ga0480ae0b5316252b9f16ebb730747025</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_gssapi_set_major_status</name>
      <anchorfile>group__globus__gssapi__error__accessor.html</anchorfile>
      <anchor>gaaf9622c9c93c968c735af9873147bec0</anchor>
      <arglist>(globus_object_t *error, const OM_uint32 major_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_error_gssapi_get_minor_status</name>
      <anchorfile>group__globus__gssapi__error__accessor.html</anchorfile>
      <anchor>ga78264a57b3d3cde3b688b8a6d0b06337</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gssapi_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__gssapi__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_gssapi_match</name>
      <anchorfile>group__globus__gssapi__error__utility.html</anchorfile>
      <anchor>ga852eb7c618605585782da52e93c547c6</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, const OM_uint32 major_status)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_gssapi_error</name>
      <anchorfile>group__globus__gssapi__error__utility.html</anchorfile>
      <anchor>gab0f4caefec55c3e98f7f2c1c4b2b8d6c</anchor>
      <arglist>(globus_module_descriptor_t *base_source, OM_uint32 major_status, OM_uint32 minor_status, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
  </compound>
</tagfile>
